Name:           perl-File-KeePass
Version:        2.03
Release:    1%{?dist}
Summary:        Interface to KeePass V1 and V2 database files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-KeePass
Source0:        https://cpan.metacpan.org/authors/id/R/RH/RHANDOM/File-KeePass-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl(Crypt::Rijndael) 
BuildRequires:  perl(Digest::SHA) 
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(Compress::Raw::Zlib)
Requires:       perl(Crypt::Rijndael) 
Requires:       perl(Digest::SHA) 
Requires:       perl(XML::Parser)
Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(MIME::Base64)

%description
File::KeePass gives access to KeePass version 1 (kdb) and 
version 2 (kdbx) databases.

The version 1 and version 2 databases are very different 
in construction, but the majority of information overlaps 
and many algorithms are similar. File::KeePass attempts to 
iron out as many of the differences.

File::KeePass gives nearly raw data access. There are a few
 utility methods for manipulating groups and entries. More 
advanced manipulation can easily be layered on top by 
other modules.

File::KeePass is only used for reading and writing databases
and for keeping passwords scrambled while in memory. 
Programs dealing with UI or using of auto-type features are
the domain of other modules on CPAN. File::KeePass::Agent 
is one example.

%prep
%setup -q -n File-KeePass-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test


%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.03-1
- initial build
